<p>title: Membuka dan Menutup File Pada PHP
description:</p>
<hr />
<p>Dengan membuka file, kita dapat melakukan beberapa hal seperti membaca file baris perbaris, menambahkan isi ataupun menghapus isi file.
Untuk membuka file pada PHP digunakan fungsi <code>fopen()</code> saat membuka file ada beberapa mode akses yang bisa dipilih, dengan cara menuliskan mode pada parameter fungsi fopen().
Mode tersebut berkaitan dengan tindakan kita selanjutnya pada suatu file tersebut.
Mode akses file yang bisa digunakan untuk fungsi <code>fopen()</code>:</p>
<table>
<thead>
<tr>
<th>Mode</th>
<th>Keterangan</th>
</tr>
</thead>
<tbody>
<tr>
<td>r</td>
<td>Untuk membaca file, posisi pointer berada di awal file</td>
</tr>
<tr>
<td>r+</td>
<td>Untuk mambaca dan menulis file, posisi pointer berada di awal file</td>
</tr>
<tr>
<td>w</td>
<td>Untuk menulis file, isi file lama dihapus, jika file belum ada maka akan dibuat file baru</td>
</tr>
<tr>
<td>w+</td>
<td>Untuk membaca dan menulis file, isi file lama dihapus, jika file belum ada maka akan dibuat file baru</td>
</tr>
<tr>
<td>a</td>
<td>Untuk menambahkan isi pada akhir file, pointer berada di akhir file, jika file tidak ada akan dibuat file baru</td>
</tr>
<tr>
<td>a+</td>
<td>Untuk membaca dan menambahkan isi pada akhir file, pointer berada di akhir file, jika file tidak ada akan dibuat file baru</td>
</tr>
</tbody>
</table>
<p>Untuk menutup file pada PHP digunakan fungsi <code>fclose()</code>, setiap proses membuka file harus diakhiri dengan menutup file agar file tidak terkunci. </p>
<h2>Praktek</h2>
<ul>
<li>Kita asumsikan Kamu sudah memiliki file coba.txt pada folder localhost.</li>
<li>Kemudian kalian buat file.php dan sisipkan kode dibawah ini.</li>
</ul>
<pre><code> &lt;?php  
 $namafile = "coba.txt";// membuat variabel   
 $handle = fopen ($namafile, "r");  //pemanggilan nama variabel dengan fungsi read
 if (!$handle) {  // Memberikan fungsi if dalam suatu kondisi artinya program akan mengeksekusi jika nilai kode bernilai true dan jika nilai bernilai false akan muncul kondisi lain.
 echo "&lt;b&gt;File tidak dapat dibuka atau belum ada&lt;/b&gt;";  
 } else {  
 echo "&lt;b&gt;File berhasil dibuka&lt;/b&gt;";  
 }  
 fclose($handle);  
 ?&gt;  </code></pre>
<ul>
<li>Kemudian simpan pada folder sama dan buka melalui browser kamu, lihat output apa yang akan ditampilkan?</li>
</ul>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>